Subject: Open issues with internationalization section

From: "Lisa Dusseault" <[email-masked]>
Date: Wed, 24 Jul 2002 16:14:45 -0400

Julian suggested:

> 1) Replace
> 
> 	"...encoded, at minimum, using the UTF-8 [UTF-8] encoding of the
ISO
> 10646 multilingual plane."
> 
> by
> 
> 	"...encoded, at minimum, using any mandatory encoding for which
the
> XML specification requires support."
> 
> Note: this inclused UTF-16.

Does everybody agree to extend the encoding requirements to UTF-16? Will
existing clients support this if servers use it? Or do we need to be
more complicated, requiring clients to support both but servers
recommended to use UTF-8 unless they know the client supports both?

---

From: "Julian Reschke" <[email-masked]>
Date: Wed, 24 Jul 2002 23:23:07 +0200

> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Lisa Dusseault
> Sent: Wednesday, July 24, 2002 10:15 PM
> To: Julian Reschke; [email-masked]
> Subject: Open issues with internationalization section
>
>
>
> Julian suggested:
>
> > 1) Replace
> >

We don't "extend" - we clarify. Any XML parser is required to support UTF-8
and UTF-16. RFC2518 requires that an implementation uses a conforming XML
parser.

> recommended to use UTF-8 unless they know the client supports both?

Both MUST support both, otherwise they break XML.

On the other hand, it may make sense to *discourage* any other encoding
(such as ISO-8859-1 or win-nnnn).

---

From: Taisuke Yamada <[email-masked]>
Date: Thu, 25 Jul 2002 20:38:17 +0900

>> Does everybody agree to extend the encoding requirements to UTF-16?
>
> We don't "extend" - we clarify. Any XML parser is required to
> support UTF-8 and UTF-16. RFC2518 requires that an implementation
> uses a conforming XML parser.

Agreed. Also, this update shouldn't cause much problem anyway, as
everyone seems to have gone with UTF-8.

> On the other hand, it may make sense to *discourage* any other
> encoding (such as ISO-8859-1 or win-nnnn).

Hmm, do you mean by MUST NOT? Banning use of other encodings in the
spec sounds too aggressive to me. Simply keeping it optional (as XML
does) should be effectively the same.

For world-wide interoperability, it is good to have Unicode as a MUST.
But why not allow use of other encodings under controlled or non-public
environment?

--
Taisuke Yamada <[email-masked]>
Internet Initiative Japan Inc., Technical Planning Division

---

From: "Julian Reschke" <[email-masked]>
Date: Thu, 25 Jul 2002 13:48:42 +0200

> [mailto:[email-masked]]On Behalf Of Taisuke Yamada
> Sent: Thursday, July 25, 2002 1:38 PM
> To: [email-masked]
> Subject: Re: Open issues with internationalization section
>
>
>
>

Well, if a client/server uses an optional encoding (and any except UTF-8 and
UTF-16 *is* optional in XML), it may have to live with the fact that the
other side requests the message, so there's no guaranteed interoperability.

If you control both sides, that's fine. But the whole point in *having* an
open internet protocol is to take care of the case where you *don't* control
both sides.

---

From: Taisuke Yamada <[email-masked]>
Date: Thu, 25 Jul 2002 21:08:03 +0900

> Well, if a client/server uses an optional encoding (and any except
> UTF-8 and UTF-16 *is* optional in XML), it may have to live with
> the fact that the other side requests the message, so there's no
> guaranteed interoperability.

Yes, and I agree with that completely.

My point was leaving encodings other than UTF-(8|16) as OPTIONAL by
not mentioning is good enough, because XML states it as optional.
Stating it as MUST NOT in the spec is more than necessary.

---

From: "Jim Whitehead" <[email-masked]>
Date: Thu, 25 Jul 2002 14:07:19 -0700

> "...encoded, at minimum, using any mandatory encoding for which the
> Note: this includes UTF-16.
>

I think this is a good change, though I think it would be good for 2518bis
to explicitly note that this means UTF-8 and UTF-16, since the mandatory
encodings specified in the XML REC are not common knowledge.

I think UTF-16 use would, at present, cause multiple interoperability
problems. It would be very useful to add some UTF-16 tests to the Litmus
compliance test tool, to strt moving the community in the right direction.

- Jim